<?php
// 数据库配置
define('DB_HOST', 'localhost');
define('DB_USER', 'root');
define('DB_PASS', 'root');
define('DB_NAME', 'stayease');

// 系统配置
define('SITE_NAME', '宿易管(StayEase)');
define('SITE_SUBTITLE', '景区民宿发展管理系统');
define('BASE_URL', 'http://localhost/StayEase');
define('UPLOAD_PATH', 'assets/images/uploads/');

// 错误报告设置
error_reporting(E_ALL);
ini_set('display_errors', 1);

// 时区设置
date_default_timezone_set('Asia/Shanghai');

// 数据库连接
try {
    $conn = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);
    $conn->set_charset("utf8mb4");

    if ($conn->connect_error) {
        throw new Exception("数据库连接失败: " . $conn->connect_error);
    }
} catch (Exception $e) {
    // 如果数据库不存在，可能是首次运行，不显示错误
    if (strpos($e->getMessage(), "Unknown database") !== false) {
        // 首次运行，数据库不存在是正常的
    } else {
        die("数据库错误: " . $e->getMessage());
    }
}
