<?php
// 设置时区
date_default_timezone_set('Asia/Shanghai');

// 加载配置文件
require_once __DIR__ . '/../config/database.php';
require_once __DIR__ . '/../modules/booking_management/notification_service.php';

// 记录日志
function logCronJob($message)
{
    $logFile = __DIR__ . '/logs/notification_' . date('Y-m-d') . '.log';
    $logDir = dirname($logFile);

    if (!is_dir($logDir)) {
        mkdir($logDir, 0755, true);
    }

    $timestamp = date('Y-m-d H:i:s');
    file_put_contents($logFile, "[$timestamp] $message\n", FILE_APPEND);
}

try {
    logCronJob('开始执行通知任务');

    // 处理入住提醒
    logCronJob('处理入住提醒');
    handleCheckinReminders();

    // 处理退房提醒
    logCronJob('处理退房提醒');
    handleCheckoutReminders();

    // 处理付款提醒
    logCronJob('处理付款提醒');
    handlePaymentReminders();

    logCronJob('通知任务执行完成');
} catch (Exception $e) {
    logCronJob('执行失败: ' . $e->getMessage());
}
