<?php
session_start();
require_once 'config/config.php';
require_once 'includes/functions.php';

// 检查用户是否已登录
if (!isset($_SESSION['user_id'])) {
    header('Location: login.php');
    exit;
}

// 获取用户信息
$userId = $_SESSION['user_id'];
$userName = $_SESSION['user_name'];
$userRole = $_SESSION['user_role'];
?>
<!DOCTYPE html>
<html lang="zh-CN">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>主页 - <?php echo SITE_NAME; ?></title>
    <link rel="stylesheet" href="assets/css/style.css">
</head>

<body>
    <header class="main-header">
        <div class="user-info">
            <span class="user-name"><?php echo $userName; ?></span>
            <span class="user-role"><?php echo $userRole; ?></span>
        </div>

        <div class="site-title">
            <h1><?php echo SITE_NAME; ?></h1>
            <p><?php echo SITE_SUBTITLE; ?></p>
        </div>

        <div class="header-actions">
            <a href="logout.php" class="btn btn-logout">退出登录</a>
        </div>
    </header>

    <main class="home-content">
        <div class="module-grid">
            <!-- 房源与房态管理 -->
            <div class="module-card">
                <h2>房源与房态管理</h2>
                <p>管理房源信息、房间状态、房型和价格</p>
                <a href="modules/room_management/index.php" class="btn btn-primary">进入模块</a>
            </div>

            <!-- 预订与订单管理 -->
            <div class="module-card">
                <h2>预订与订单管理</h2>
                <p>处理预订、管理订单和预订日历</p>
                <a href="modules/booking_management/index.php" class="btn btn-primary">进入模块</a>
            </div>

            <!-- 会员与客户管理 -->
            <div class="module-card">
                <h2>会员与客户管理</h2>
                <p>管理会员信息、客户档案和积分系统</p>
                <a href="modules/member_management/index.php" class="btn btn-primary">进入模块</a>
            </div>

            <!-- 财务管理 -->
            <div class="module-card">
                <h2>财务管理</h2>
                <p>管理房费、账单、收支统计和退款</p>
                <a href="modules/finance_management/index.php" class="btn btn-primary">进入模块</a>
            </div>

            <!-- 供应链与库存管理 -->
            <div class="module-card">
                <h2>供应链与库存管理</h2>
                <p>管理客房用品、餐饮和清洁用品库存</p>
                <a href="modules/supply_management/index.php" class="btn btn-primary">进入模块</a>
            </div>

            <!-- 物业与设备管理 -->
            <div class="module-card">
                <h2>物业与设备管理</h2>
                <p>管理客房保洁、设备报修和能耗</p>
                <a href="modules/property_management/index.php" class="btn btn-primary">进入模块</a>
            </div>

            <!-- 智能前台管理 -->
            <div class="module-card">
                <h2>智能前台管理</h2>
                <p>自助入住/退房、门锁管理和发票</p>
                <a href="modules/reception_management/index.php" class="btn btn-primary">进入模块</a>
            </div>

            <!-- 营销与推广 -->
            <div class="module-card">
                <h2>营销与推广</h2>
                <p>管理促销活动、推荐返利和积分兑换</p>
                <a href="modules/marketing/index.php" class="btn btn-primary">进入模块</a>
            </div>

            <!-- 旅游服务与增值业务 -->
            <div class="module-card">
                <h2>旅游服务与增值业务</h2>
                <p>管理景区门票、租车和特色活动</p>
                <a href="modules/tourism_service/index.php" class="btn btn-primary">进入模块</a>
            </div>

            <!-- 数据分析与报表 -->
            <div class="module-card">
                <h2>数据分析与报表</h2>
                <p>查看入住率、客户来源和营收趋势</p>
                <a href="modules/data_analysis/index.php" class="btn btn-primary">进入模块</a>
            </div>

            <!-- 系统管理 -->
            <div class="module-card">
                <h2>系统管理</h2>
                <p>管理员设置、日志和系统备份</p>
                <a href="modules/system_management/index.php" class="btn btn-primary">进入模块</a>
            </div>
        </div>
    </main>

    <footer class="main-footer">
        <p>&copy; <?php echo date('Y'); ?> <?php echo SITE_NAME; ?> - 版权所有</p>
    </footer>

    <script src="assets/js/script.js"></script>
</body>

</html>