<?php
session_start();
require_once 'config/config.php';
require_once 'includes/functions.php';

// 记录退出登录活动
if (isset($_SESSION['user_id'])) {
    logActivity('logout', '用户退出登录', $_SESSION['user_id']);
}

// 清除所有会话变量
$_SESSION = array();

// 如果使用了会话cookie，则清除会话cookie
if (ini_get("session.use_cookies")) {
    $params = session_get_cookie_params();
    setcookie(
        session_name(),
        '',
        time() - 42000,
        $params["path"],
        $params["domain"],
        $params["secure"],
        $params["httponly"]
    );
}

// 销毁会话
session_destroy();

// 重定向到登录页面
header('Location: login.php');
exit;
